import { ConfigService } from '@nestjs/config'
import * as tencentcloud from 'tencentcloud-sdk-nodejs'

const configService = new ConfigService()
const LkeapClient = tencentcloud.lkeap.v20240522.Client

const client = new LkeapClient({
  credential: {
    secretId: configService.get<string>('TENCENT_SECRET_ID'),
    secretKey: configService.get<string>('TENCENT_SECRET_KEY')
  },
  region: 'ap-guangzhou',
  profile: {
    httpProfile: {
      endpoint: 'lkeap.tencentcloudapi.com',
      reqTimeout: 40000
    }
  }
})

export function chatReason(Content): Promise<string> {
  const params = {
    Model: 'deepseek-r1',
    Messages: [{ Role: 'user', Content }],
    Stream: false
  }
  console.log('开始查询...')
  return new Promise((resolve, reject) => {
    client.ChatCompletions(params, function (err, resp) {
      if (err) {
        reject(err)
        return
      }

      const { Choices } = resp
      const { Message } = Choices[0]
      console.log('回答：', Message.Content)
      resolve(Message.Content)
    })
  })
}
